
mod classfile;
mod classstore;
mod bytecode;
mod jvm;
mod stackframe;
mod accessmasks;
mod constantpool;

fn main() {
    let mut jvm = jvm::JVM::new();
    let loaded_name = jvm.load_class(&"class/Main".to_string()).expect("Could not load class");

    jvm.invoke_static(&loaded_name, &"main".to_string()).expect("failed to call main() on supplied class");

    println!("{:#?}", jvm);
}
